org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Interface PartitionsExchangeAware

All Known Implementing Classes:
  IgniteSnapshotManager, PlatformContextImpl

    public interface PartitionsExchangeAware

Interface which allows to subscribe a component for partition map exchange events (via `GridCachePartitionExchangeManager.registerExchangeAwareComponent(PartitionsExchangeAware)`). Heavy computations shouldn't be performed in listener methods: aware components will be notified synchronously from exchange thread. Runtime exceptions thrown by listener methods will trigger failure handler (as per exchange thread is critical). Please ensure that your implementation will never throw an exception if you subscribe to exchange events for non-system-critical activities.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onDoneAfterTopologyUnlock(GridDhtPartitionsExchangeFuture fut)` Callback from exchange process completion; called after topology is unlocked.
`default void` `onDoneBeforeTopologyUnlock(GridDhtPartitionsExchangeFuture fut)` Callback from exchange process completion; called before topology is unlocked.
`default void` `onInitAfterTopologyLock(GridDhtPartitionsExchangeFuture fut)` Callback from exchange process initialization; called after topology is locked.
`default void` `onInitBeforeTopologyLock(GridDhtPartitionsExchangeFuture fut)` Callback from exchange process initialization; called before topology is locked.

### Method Detail

#### onInitBeforeTopologyLock

    default void onInitBeforeTopologyLock(GridDhtPartitionsExchangeFuture fut)

Callback from exchange process initialization; called before topology is locked.

Parameters:
  `fut` - Partition map exchange future.

#### onInitAfterTopologyLock

    default void onInitAfterTopologyLock(GridDhtPartitionsExchangeFuture fut)

Callback from exchange process initialization; called after topology is locked. Guarantees that no more data updates will be performed on local node until exchange process is completed.

Parameters:
  `fut` - Partition map exchange future.

#### onDoneBeforeTopologyUnlock

    default void onDoneBeforeTopologyUnlock(GridDhtPartitionsExchangeFuture fut)

Callback from exchange process completion; called before topology is unlocked. Guarantees that no updates were performed on local node since exchange process started.

Parameters:
  `fut` - Partition map exchange future.

#### onDoneAfterTopologyUnlock

    default void onDoneAfterTopologyUnlock(GridDhtPartitionsExchangeFuture fut)

Callback from exchange process completion; called after topology is unlocked.

Parameters:
  `fut` - Partition map exchange future.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021